PharData::extractTo
PharData::offsetSet
PharData
PHP Manual

# PharData::isWritable

(No version information available, might be only in CVS)

PharData::isWritable — Returns true if the tar/zip archive can be modified

### Description

bool PharData::isWritable ( void )

This method returns `TRUE` if the tar/zip archive on disk is not read-only. Unlike Phar::isWritable(), data-only tar/zip archives can be modified even if phar.readonly is set to 1.

### Parameters

No parameters.

### Return Values

Returns `TRUE` if the tar/zip archive can be modified

### See Also

- Phar::canWrite()
- Phar::isWritable()

PharData::extractTo
PharData::offsetSet
PharData
PHP Manual